#!/usr/bin/env python3

import csv
import pygraphviz as pgv
import sys

if len(sys.argv) != 3:
    sys.exit("Required arguments: input-edgelist output-Graphviz")

G = pgv.AGraph(directed = True)

with open(sys.argv[1], newline = '') as f:
    reader = csv.reader(f, delimiter = " ", skipinitialspace = True)
    for row in reader: G.add_edge(*row)

G.write(sys.argv[2])
